IT: OTS (China) - 1100 #462

v4.0: Product - Import option & product data from SBX
02/28/2025 05:24 PM - Xihua Fan

Status: oo0 Start date: 02/28/2025
Priority: aa Due date: 03/03/2025
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 100.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. New requirement for v4.0 OTS
See: OneDrive\l00000000000\Shanghai Group - IMIO0MoTS vall00

Task Details
o 1. OTS00Import product modulel000000sBx0000000csvOONO
v4 coding standard:

1. Gitll[

E#Exx(redmine number): xxx(redmine title) - xxx(JO00000)
2.0000

2.1: Il Public -> Protected -> Private

ﬁnzz 0000000sBx
3. 000000Modell

3.1: 0000000000modelllsystem(

8.2: v3/vallmodelllOO000000 order.php, order_v3.php
4.0000

tDwig, is, css (js, css000000cssO00)

5.0000
E/IVCL (LOenlen)
6. 00
1. 000

/**
* XXX
*

* @copyright RedBlue-OTS 2024

* @version v4
*

*/

2.00000000 + DOODO

/**

B SRR

*

* @param xxxX S$XXX
* @param xxX $XXX
* @return xxx

*/
Output
e Report and Solution

Others

Related issues:
Copied from 0000 #454: v4.0: Product - Step 1

ooo

02/14/2025

03/31/2025

History

#1 - 02/28/2025 05:24 PM - Xihua Fan
- Copied from 0000 #454: v4.0: Product - Step 1 added

#2 - 03/01/2025 09:38 PM - Xihua Fan
- File SBX-20250301.7z added

#3 - 03/02/2025 09:08 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 30 to 100

Output(2025/02/27 ~ 2025/02/28) [0

1. Create a Module (Product Import) to transfer product and options data in SBX to OTS.

2. Only enable products (status = 1) are transferred, and disabled product data is not inserted into all related data tables.

3. Color option is excluded from option-related data during import.
4.In OTS: color option in product_option, product_option_value, product_extra_option, product_extra_option_value are replaced with

color_option/color_extra_option (only one) and color_option_value/extra_color_option_value (only one) created in OTS.

5. In the data tables of some language packages, use English as Chinese to insert into the data table.

6. This time we jointly synchronize SBX 23 data tables:
1. ots_option
2. ots_option_description
3. ots_option_value
4. ots_option_value_description
5. ots_branding_group
6. ots_branding_group_description
7. ots_product_group
8. ots_product_group_description
9. ots_product
10. ots_product_description
11. ots_product_option
12. ots_product_option_description
13. ots_product_option_value
14. ots_product_option_value_description
15. ots_product_discount
16. ots_product_option_value_discount
17. ots_product_extra_option
18. ots_product_extra_option_value
19. ots_product_image
20. ots_product_image_description
21. ots_product_option_value_hover_description
22.ots_product_option_value_layer_image
23. ots_product_square_meter_discount

7. After synchronization to OTS, 25 tables are actually affected, adding 2 tables to No.6

1. ots_product_to_manufacturer
2. ots_product_to_manufacturer_description

3. After the import is completed, the product data added by OTS itself will not be affected.

¢ Note:

1. Tools used: Navicat Premium (https://www.navicat.com/en/products/navicat-premium)

2. There is a necessary condition that the exported SQL must be insert statements line by line, otherwise the program will not be able to parse it.

Reference Export Configuration: https:/redmine.easydingzhi.com/attachments/229

3. The general workflow is as follows:
1. Read a line of string

2. Obtain the table name + fields name + field values through regular matching.

$data = array(
'table_name' = > 'eazy_9455product’',
'values' => array(

12/20/2025

2/3



https://www.navicat.com/en/products/navicat-premium
https://redmine.easydingzhi.com/attachments/229

'fieldl' => wvaluel,
'field2' => value2,
'field3' => wvalue
)
)i

3. Match the result of No.2 with the OTS data table structure and assemble the data required by OTS

$data = array (
'table_name' = > 'ots_product',
'values' => array(

'fieldl' => wvaluel,
'field2' => value?2,
'field3' => value,
'field4' => value
)
)i

= Note: In some scenarios, you must assemble an array of the same structure. For example, when synchronizing the English language
package, generate a Chinese language package.
4. Arrange the data of No.3 into an insert statement and insert it directly into the data table.
= Note: Delete the data in the associated table based on the primary key id before inserting.

#4 - 03/02/2025 09:09 PM - Zhongbao Ye
- File Export Configuration.png added

#5 - 03/04/2025 07:53 PM - Zhongbao Ye
- File SBX-20250304.7z added

#6 - 03/04/2025 07:54 PM - Zhongbao Ye
- File deleted (SBX-20250304.7z)

#7 - 03/04/2025 07:54 PM - Zhongbao Ye
- File SBX-20250304.7z added

#8 - 03/04/2025 07:54 PM - Zhongbao Ye
- File deleted (SBX-20250301.7z)

Files
Export Configuration.png 153 KB 03/02/2025 Zhongbao Ye
SBX-20250304.7z 4.19 MB 03/04/2025 Zhongbao Ye
